RubyGems Navigation menu

rubocop-ruby3_2 2.0.7

Configure RuboCop + a bevy of friends to gradually lint Ruby 3.2 code

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 2.0.7 - June 13, 2023 (21 KB)
  2. 2.0.6 - June 05, 2023 (21 KB)
  3. 2.0.5 - May 22, 2023 (20.5 KB)
  4. 2.0.4 - May 21, 2023 (20.5 KB)
  5. 2.0.3 - May 19, 2023 (20.5 KB)
Show all versions (7 total)

Runtime Dependencies (7):

rubocop-gradual ~> 0.3, >= 0.3.1
rubocop-md ~> 1.2
rubocop-rake ~> 0.6
rubocop-shopify ~> 2.14
rubocop-thread_safety ~> 0.5, >= 0.5.1
standard-rubocop-lts ~> 1.0, >= 1.0.7
version_gem >= 1.1.3, < 3

Owners:

Pushed by:

Authors:

  • Peter Boling

SHA 256 checksum:

= Copy to clipboard Copied!

Signature validity period:

September 18, 2022 - September 18, 2023 (expired)

Total downloads 3,137

For this version 1,424

License:

MIT

Required Ruby Version: >= 3.2

New versions require MFA: true

Version published with MFA: true

Links: